﻿@model List<ContosoUniversity.DTO.NhatKyVanHanhVaSuaChua>

@*@{
        ViewBag.Title = "NhatKyVanHanhVaSuaChua";
        Layout = "~/Views/Shared/_Layout.cshtml";
    }*@
<style>

    ul, #myUL-DSNhatKyVanHanh {
        list-style-type: none;
    }

    #myUL-DSNhatKyVanHanh {
        margin: 0;
        padding: 0;
    }

    .create-DSNhatKyVanHanh-caret {
        cursor: pointer;
        -webkit-user-select: none; /* Safari 3.1+ */
        -moz-user-select: none; /* Firefox 2+ */
        -ms-user-select: none; /* IE 10+ */
        user-select: none;
    }

        .create-DSNhatKyVanHanh-caret:before {
            content: "\25B6";
            color: black;
            display: inline-block;
            margin-right: 6px;
        }

    .caret-down-DSNhatKyVanHanh::before {
        -ms-transform: rotate(90deg); /* IE 9 */
        -webkit-transform: rotate(90deg); /* Safari */
        ' transform: rotate(90deg);
    }

    .create-DSNhatKyVanHanh-nested {
        display: none;
    }

    .active-DSNhatKyVanHanh {
        display: block;
    }
    /*.tr-create {
        display: table-row;
        vertical-align: inherit;
        border-color: white !important;
    }*/
    .tableborderless-DSNhatKyVanHanh tr td {
        border: none !important;
    }

    .div-create-DSNhatKyVanHanh-new {
        border: 1px solid black;
    }
</style>
<h4>DANH SÁCH NHẬT KÝ ĐÃ TẠO</h4>

<div class="create-nhatky">
    <ul id="myUL-DSNhatKyVanHanh">

        @*Danh sách Nhật Ký*@
        @foreach (var item in Model)
        {
            <li>
                <span class="create-DSNhatKyVanHanh-caret" style="width:auto">NK-@item.IDNhatKy</span>

                <ul class="create-DSNhatKyVanHanh-nested">
                    <li>
                        <div class="div-create-DSNhatKyVanHanh-new">
                            <table class="table tableborderless-DSNhatKyVanHanh">
                                <tr class="">
                                    <td>
                                        <div class="form-group">
                                            <span style="font-weight: bold">Lưu lượng vào(l): </span>@item.LuuLuongVao,
                                            <span style="font-weight: bold">Lưu lượng ra(l): </span>@item.LuuLuongRa

                                        </div>
                                    </td>
                                    <td>
                                        <div class="form-group">
                                            <span style="font-weight: bold">Chỉ số tiêu thụ điện(kw): </span>@item.ChiSoTieuThuDien,
                                            <span style="font-weight: bold">Khối lượng tiêu thụ điện(kw): </span>@item.KhoiLuongTieuThuDien
                                        </div>
                                    </td>
                                </tr>
                                <tr class="">
                                    <td>
                                        <div class="form-group">
                                            <span style="font-weight: bold">Polymer vào(kg): </span>@item.PolymerVao,
                                            <span style="font-weight: bold">Polymer ra(kg): </span>@item.PolymerRa,
                                            <span style="font-weight: bold">Polymer tồn(kg): </span>@item.PolymerTon
                                        </div>
                                    </td>
                                    <td>
                                        <div class="form-group">
                                            <span style="font-weight: bold">Phá bọt vào(kg): </span>@item.PhaBotVao,
                                            <span style="font-weight: bold">Phá bọt ra(kg): </span>@item.PhaBotRa,
                                            <span style="font-weight: bold">Phá bọt tồn(kg): </span>@item.PhaBotTon
                                        </div>
                                    </td>
                                </tr>
                                <tr class="">
                                    <td>
                                        <div class="form-group">
                                            <span style="font-weight: bold">NaOH vào(kg): </span>@item.NaOHVao,
                                            <span style="font-weight: bold">NaOH ra(kg): </span>@item.NaOHRa,
                                            <span style="font-weight: bold">NaOH tồn(kg): </span>@item.NPKTon
                                        </div>
                                    </td>
                                    <td>
                                        <div class="form-group">
                                            <span style="font-weight: bold">NPK vào(kg): </span>@item.NPKVao,
                                            <span style="font-weight: bold">NPK ra(kg): </span>@item.NPKRa,
                                            <span style="font-weight: bold">NPK tồn(kg): </span>@item.NPKTon
                                        </div>
                                    </td>
                                </tr>
                                <tr class="">
                                    <td>
                                        <div class="form-group">
                                            <span style="font-weight: bold">Ure vào(kg): </span>@item.UreVao,
                                            <span style="font-weight: bold">Ure ra(kg): </span>@item.UreRa,
                                            <span style="font-weight: bold">Ure tồn(kg): </span>@item.UreTon
                                        </div>
                                    </td>
                                    <td>
                                        <div class="form-group">
                                            <span style="font-weight: bold">Mật rỉ vào(kg): </span>@item.MatRiVao,
                                            <span style="font-weight: bold">Mật rỉ ra(kg): </span>@item.MatRiRa,
                                            <span style="font-weight: bold">Mật rỉ tồn(kg): </span>@item.MatRiTon
                                        </div>
                                    </td>
                                </tr>

                            </table>
                        </div>

                    </li>
                    <li>
                        @*Danh sách sự cố*@
                        <span class="create-DSNhatKyVanHanh-caret" style="width:auto">Danh sách sự cố</span>
                        <ul class="create-DSNhatKyVanHanh-nested">
                            <li>
                                @foreach (var dsSuCo in item.DanhSachSuCo)
                                {
                                    <div class="div-create-DSNhatKyVanHanh-new" style="margin-bottom:2px;">
                                        <table class="table tableborderless-DSNhatKyVanHanh">
                                            <tr class="">
                                                <td>
                                                    <div class="form-group">
                                                        <span style="font-weight: bold">Mã sự cố: </span>@dsSuCo.SuCoID,
                                                        <span style="font-weight: bold">Ngày tạo: </span>@dsSuCo.NgayTaoSuCo
                                                    </div>
                                                </td>
                                                <td>
                                                    <div class="form-group">
                                                        <span style="font-weight: bold">Mô tả sự cố: </span>@dsSuCo.MoTaSuCo,
                                                        <span style="font-weight: bold">Cách khắc phục: </span>@dsSuCo.CachKhacPhuc
                                                    </div>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                }
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>

        }


    </ul>

</div>
<script>
    var toggler = document.getElementsByClassName("create-DSNhatKyVanHanh-caret");
    var i;

    for (i = 0; i < toggler.length; i++) {
        toggler[i].addEventListener("click", function () {
            this.parentElement.querySelector(".create-DSNhatKyVanHanh-nested").classList.toggle("active-DSNhatKyVanHanh");
            this.classList.toggle("caret-down-DSNhatKyVanHanh");
        });
    }

</script>
